Bug 733775 - injecting regular mod-cluster (instead of HA) shows wrong name in RH
injecting regular mod-cluster (instead of HA) shows wrong name in RH
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-26 15:33 EDT by Mike Foley
Modified: 2013-09-01 15:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing resource tree incorrectly still showing HA service (24.65 KB, image/png)
2011-08-26 15:33 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-08-26 15:33:24 EDT
Created attachment 520131 [details]
screenshot showing resource tree incorrectly still showing HA service

Description of problem: injecting regular mod-cluster (instead of HA) shows wrong name in RH


How reproducible:
100%

Steps to Reproduce:
1.  change <inject bean="HAModClusterService"/>  to <inject bean="ModClusterService"/>    
2.  restart EAP
3.   re-inventory EAP
  
Actual results:
see screenshots.  name still references "HA".  

Expected results:
should show regular service.  probably a simple typo in the code.

Additional info:  attachment
Comment 1 Stefan Negrea 2011-08-29 14:58:18 EDT
Updated the plugin configuration file to have correct descriptions for each service available. Also added a new class to verify the availability of a className mbean resource.
Comment 2 Charles Crouch 2012-07-09 13:24:59 EDT
Looks like this should be onqa
Comment 3 Heiko W. Rupp 2013-09-01 15:21:45 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.